package test_data

import (
	"errors"
	"sort"
	"testData/model"
)

func HandleUploadFiles(fileTexts []*model.FileText, step, machine string) error {
	if step == "" {
		return errors.New("未输入工序")
	}
	sort.Slice(fileTexts, func(i, j int) bool {
		return fileTexts[i].Name < fileTexts[j].Name
	})
	if machine == "STS8200" {
		for _, fileText := range fileTexts {
			if err := HandleSTS8200Excel(fileText); err != nil {
				return err
			}
		}
	} else if machine == "TQT601" {
		//for _, fileText := range fileTexts {
		//	HandlerTQT601Excel(fileText)
		//}
	} else if machine == "MT737" {
		for i := 0; i < len(fileTexts)/2; i++ {
			MT737(fileTexts[2*i+1], fileTexts[2*i])
		}
	} else if machine == "德律6850" {
		for i := 0; i < len(fileTexts); i++ {
			if err := HandleDL6850Excel(fileTexts[i]); err != nil {
				return err
			}
		}
	}
	return nil
}
